Support » Plugin: Stripe Gateway for Events Manager Pro » Security, Pro and standard

  • I am considering implementing this plug-in with my installation of Event Manager Pro. I understand that the standard version is not “PCI compliant” and people have raised concerns about security in reviews of the product.

    I am also reluctant to pay for the PRO version without first trialling the standard version for a few weeks. However, I am worried about installing the standard version if it is going to leave my site and my customers vulnerable.

    I am not sure I fully understand what “PCI compliant” means in practice. But if it is to do with encrypting the data supplied by the client, is that necessary when my website is running under https: ?

    Thanks for any help
    Ian.

  • The topic ‘Security, Pro and standard’ is closed to new replies.